Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 833345 - sys-apps/hwloc: invalid icon in desktop entry
Summary: sys-apps/hwloc: invalid icon in desktop entry
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Cluster Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-14 16:44 UTC by i.Dark_Templar
Modified: 2022-12-04 14:50 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description i.Dark_Templar 2022-02-14 16:44:54 UTC
'Hardware Locality lstopo' desktop entry doesn't have a valid icon

Reproducible: Always

Steps to Reproduce:
1. emerge -1 sys-apps/hwloc
2. run DE if not running yet, KDE for example
3. Locate 'Hardware Locality lstopo' menu entry in main menu
Actual Results:  
'Hardware Locality lstopo' has placeholder icon in KDE, might have no icon in other DE/WMs

Expected Results:  
Correct and present icon should be used. Not installing desktop entry is also an option.

$ cat /usr/share/applications/lstopo.desktop 
# should only be used when lstopo is built with Cairo/X11 support
# so that no terminal is required
[Desktop Entry]
Name=Hardware Locality lstopo
Comment=Show hardware topology
Exec=lstopo
Terminal=false
Type=Application
Categories=System;
Keywords=System;Utility;
Icon=hwloc

Icon 'hwloc' is specified but no icon is packaged. I've found suitable icons in upstream repository, but they're missing in tarball for current version 2.6.0:

https://github.com/open-mpi/hwloc/tree/master/contrib/android/assets
Comment 1 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-11-24 10:44:13 UTC
(pacho, feel free to fix if you're able, as I only tend to drive-by hwloc & may forget about it)
Comment 2 Larry the Git Cow gentoo-dev 2022-12-04 14:50:45 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8d1957c3ae62f4f6677bd6ccee9f4df01ab4523

commit d8d1957c3ae62f4f6677bd6ccee9f4df01ab4523
Author:     Pacho Ramos <pacho@gentoo.org>
AuthorDate: 2022-12-04 14:29:31 +0000
Commit:     Pacho Ramos <pacho@gentoo.org>
CommitDate: 2022-12-04 14:49:21 +0000

    sys-apps/hwloc: Install icon
    
    No revbump as it is a minor change, hopefully most people will simply get it
    fixed in next bumps then. Use upstream android png icon over svg as it has a
    high enough resolution and text looks misaligned in svg icon.
    
    Closes: https://bugs.gentoo.org/833345
    Signed-off-by: Pacho Ramos <pacho@gentoo.org>

 sys-apps/hwloc/Manifest              | 1 +
 sys-apps/hwloc/hwloc-2.8.0-r1.ebuild | 6 ++++--
 2 files changed, 5 insertions(+), 2 deletions(-)